﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PRScreenWithKinect
{
    class GlobalConfig
    {
        /// Client ID
        public const int CLIENT_ID = 1;

        /// Fisth Hand 0 = L , 1 = R
        public const int FIRST_HAND = 0;


       /// Server IP Config
        public const string SERVER_IP = "http://10.0.100.8/PRScreenServer/";
            
       /// Using Gesture Config
       public  const bool USING_GESTURE = true;

        // Time before hold = 200 ms
       public const int TIME_BEFORE_HOLD = 200;

        /// Time idle to open billboard screen in 2000 ms
       public const int PERIOD_TO_PLAY_BILLBOARD = 2000;
       
        /// Opacity for non focus opacity = 0.5 
       public const double NON_FOCUS_OPACITY = 0.5;

        /// Blur FX radius
       public const int BLUR_FX_RADIUS = 10;

        /// Avatar Path 
        public const string AVATAR_PATH = "styles/images/avatar.png";

        /// DataFactory Period Update
        public const int DATAFACTORY_PERIOD_UPDATE_SEC = 10 * 1000;
    }
}
